## xfdesktop4 4.20.1

=== meson_options.txt ===
option(
  'desktop-menu',
  type: 'feature',
  value: 'auto',
  description: 'Desktop right-click applications menu',
)

option(
  'desktop-icons',
  type: 'boolean',
  value: true,
  description: 'Support for desktop icons',
)

option(
  'file-icons',
  type: 'boolean',
  value: true,
  description: 'Support for desktop file icons',
)

option(
  'thunarx',
  type: 'feature',
  value: 'auto',
  description: 'Support for Thunar file management extensions',
)

option(
  'notifications',
  type: 'feature',
  value: 'auto',
  description: 'Support for mount notifications',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'file-manager-fallback',
  type: 'string',
  value: 'Thunar',
  description: 'Fallback file manager to use if the DBus interface is not available',
)

option(
  'default-backdrop-filename',
  type: 'string',
  value: 'backgrounds/xfce/xfce-x.svg',
  description: 'The path to the default background image (relative paths will prepend $(datadir)',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether or not to build test programs',
)

## xfdesktop4 4.7.4

=== debian/changelog ===
xfdesktop4 (4.7.4-0ubuntu1) natty; urgency=low

  * Upload to natty (pkg-xfce svn r4625), no Ubuntu changes.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 07 Dec 2010 21:40:36 +0100

xfdesktop4 (4.7.4-1) UNRELEASED; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/control:
    - update standards version to 3.9.1.
    - refresh build-deps for Xfce 4.7.
    - add build dep on libxfce4ui-1-dev.
    - drop xfce4-panel build-dep since we don't build any plugin anymore.
    - add build-dep on hardening-includes.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - drop --libexecdir, --disable-rpath and --enable-final from configure args.
    - drop usr/lib from chrpath call, it doesn't exist anymore.
    - don't rename generic terminal .desktop file, it's gone too.
    - pass docdir to configure.
    - add hardening flags to {C,LD}FLAGS
  * debian/xfdesktop4-data.install:
    - drop usr/share/desktop-directories from install file.
  * debian/xfdesktop4.install:
    - drop etc/ no menu is installed anymore.
    - drop usr/ too, no more desktop menu module nor panel plugin. 

  [ Lionel Le Folgoc ]
  * debian/control: clean up build-deps since xfdesktop has been ported to gio,
    exo-1 and garcon.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 05 Nov 2010 09:00:53 +0100

xfdesktop4 (4.6.2-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/rules:
    - ship upstream NEWS file.                                  closes: #524930

  [ Stefan Ott ]
  * debian/watch edited to track Xfce archive reorganisation.

  [ Lionel Le Folgoc ]
  * New upstream release:
    - fix incorrect encoding of the italian translation         closes: #526479
    - fix spelling error in the italian translation             closes: #543264
  * debian/control:
    - add myself to Uploaders
    - bump Standards-Version to 3.8.4
    - add ${misc:Depends} to dependencies
    - use << instead of <
    - build-depends on debhelper >= 7.0.50~ for overrides
  * debian/rules: switch to rules.tiny + overrides.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 May 2010 14:52:20 +0200

xfdesktop4 (4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 19:14:40 +0200

xfdesktop4 (4.6.0-2) unstable; urgency=low

  * Upload to unstable and mark fixed bugs as such:
    - xfce4-utils is now only a Recommends.                     closes: #515186
  * debian/control:
    - bump debhelper build-dep to 7.
    - update standards version to 3.8.1.
    - move to xfce section.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - replace dh_clean -k by dh_prep.
  * debian/compat bumped to 7.
  * debian/xfdesktop-settings.1 added.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 01:53:57 +0200

xfdesktop4 (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * new upstream alpha release.
    - Debian menu is now translatable through menu-xdg. closes: #370712, #254004
    - menu implementation correclty handle Exec= lines        . closes: #449077
  * debian/control:
    - update standards version to 3.8.0. No change needed.
    - update build-deps for Xfce 4.6 Alpha.
    - remove useless conflicts.
    - add build-dep on intltool.
    - add Recommends: on xdg-user-dirs to handle XDG folders.
  * debian/rules: 
    - don't install useless lintian override file
    - fail if dh_install misses files.
    - stop messing with config.{guess,sub}.
    - rename generic xfce4-terminal.desktop file so it doesnt conflicts with
      Terminal.
    - force configure flags
  * debian/lintian: dropped, now useless
  * debian/patches:
    - 01_show-backdrop-by-default dropped due to upstream changes.
    - 03_fix-memory-leak dropped, included upstream.
    - 04_fix-CRITICAL-register-message-startup too.
    - 05_simplify-free-code as well. 
    - 07_fix-italian-typos merged too.                          closes: #483709 
    - 06_fix-size-warning-amd64 added.
  * debian/xfdesktop-data.install:
    - add /usr/share/desktop-directories files.
    - add /usr/share/applications files.
  * debian/xfce4-menueditor.1 dropped, xfce4-menueditor is not part of
    xfdesktop4 anymore.
  * debian/xfdesktop4.menu-method dropped, xfdesktop now supports XDG menus,
    so we can use debian-menu.menu directly if present.
  * debian/README.Debian: 
    - remove deprecated comments about user changes to menu files
    - add a note about new menu systems and conffiles handling.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Fuzzy.
    - drop build-dep on quilt.
    - add conflict for previous xfdesktop4(-data) packages.
  * debian/patches:
    - 02_use_eject_where_needed dropped, merged upstream.
    - 06_fix-size-warning-amd64 as well.
  * debian/rules:
    - remove quilt stuff.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Hopper.
    - use Replaces: to handle .desktop files move from -data to xfdesktop4.
  * debian/xfdesktop4.postrm dropped, now useless.
  * debian/xfdesktop4.postinst:
    - use set -e to catch errors.
    - use dpkg-query instead of /var/lib/dpkg/status in rm_conffile.
    - rm_conffile of /etc/xdg/xfce4/desktop/menudefs.hook.
  * debian/xfdesktop4.install, debian/xfdesktop4-data.install
    - ship .desktop files along with the binaries.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”.
    - add Recommends: on gamin.                                 closes: #513373
    - add build-dep on libdbus-glib-1-dev.
    - improve short and long descriptions.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/control:


=== debian/control ===
Source: xfdesktop4
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev (>= 2.18.0),
 libgtk2.0-dev (>= 2.14.0), libxfce4ui-1-dev (>= 4.7.0), libwnck-dev (>= 2.12),
 libxfconf-0-dev, intltool, libdbus-glib-1-dev, libthunarx-2-dev (>= 1.1.3),
 libexo-1-dev, libgarcon-1-0-dev (>= 0.1.2), libnotify-dev, chrpath,
 hardening-includes
Standards-Version: 3.9.1
Homepage: http://www.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfdesktop4/

Package: xfdesktop4-data
Section: xfce
Architecture: all
Depends: ${misc:Depends}
Description: xfce desktop background, icons and root menu (common files)
 This package contains architecture-independent files for xfdesktop4.

Package: xfdesktop4
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4-data (= ${source:Version}),
 exo-utils
Replaces: xfdesktop4-data (<< 4.5.92)
Recommends: dbus-x11, librsvg2-common, xdg-user-dirs, gamin, xfce4-utils
Suggests: menu
Description: xfce desktop background, icons and root menu manager
 xfdesktop4 sets the background image, provides a right-click menu to
 launch applications and can optionally show files (including application
 launchers) or iconified windows. It includes gradient support for
 background color, saturation support for background image, real multiscreen
 and xinerama support.

Package: xfdesktop4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4 (= ${binary:Version})
Description: debugging informations for xfdesktop4
 This package contains debugging symbols for xfdesktop4, the desktop manager
 for Xfce 4 Desktop Environment.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- --enable-thunarx --enable-exo \
	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data
		--enable-desktop-menu-dir-monitor

override_dh_install:
	chrpath -d -k $(CURDIR)/debian/tmp/usr/bin/*
	
	dh_install --sourcedir=debian/tmp --fail-missing
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man

override_dh_link:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link

override_dh_strip:
	dh_strip --dbg-package=xfdesktop4-dbg

%:
	dh $@

## xfdesktop4 4.7.5

=== debian/changelog ===
xfdesktop4 (4.7.5-0ubuntu1) natty; urgency=low

  * New upstream development release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 04 Jan 2011 21:50:23 +0100

## xfdesktop4 4.8.1

=== debian/changelog ===
xfdesktop4 (4.8.1-1ubuntu2) natty; urgency=low

  * debian/patches:
    - 0001-Retrieve-the-translated-desktop-file-name.patch: fixes untranslated
      .desktop display name.
    - series: add this patch.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Fri, 11 Mar 2011 20:51:22 +0100

xfdesktop4 (4.8.1-1ubuntu1) natty; urgency=low

  * Sync with Debian experimental.

  * debian/patches:
    - xubuntu_hide-ugly-resize-grip.patch: disable resize grips for xfdesktop's
      root windows. lp: #709279
    - series: added.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 08 Feb 2011 19:44:16 +0100

xfdesktop4 (4.8.1-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/control:
    - update standards version to 3.9.1.
    - refresh build-deps for Xfce 4.7.
    - add build dep on libxfce4ui-1-dev.
    - drop xfce4-panel build-dep since we don't build any plugin anymore.
    - add build-dep on hardening-includes.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - drop --libexecdir, --disable-rpath and --enable-final from configure args.
    - drop usr/lib from chrpath call, it doesn't exist anymore.
    - don't rename generic terminal .desktop file, it's gone too.
    - pass docdir to configure.
    - add hardening flags to {C,LD}FLAGS
  * debian/xfdesktop4-data.install:
    - drop usr/share/desktop-directories from install file.
  * debian/xfdesktop4.install:
    - drop etc/ no menu is installed anymore.
    - drop usr/ too, no more desktop menu module nor panel plugin. 
  * debian/copyright updated for new upstream release.

  [ Lionel Le Folgoc ]
  * New upstream bugfix release.
  * debian/control: clean up build-deps since xfdesktop has been ported to gio,
    exo-1 and garcon.
  * Refresh build-deps for Xfce 4.8.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 07 Feb 2011 00:17:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev (>= 2.18.0),
- libgtk2.0-dev (>= 2.14.0), libxfce4ui-1-dev (>= 4.7.0), libwnck-dev (>= 2.12),
- libxfconf-0-dev, intltool, libdbus-glib-1-dev, libthunarx-2-dev (>= 1.1.3),
- libexo-1-dev, libgarcon-1-0-dev (>= 0.1.2), libnotify-dev, chrpath,
+ libgtk2.0-dev (>= 2.14.0), libxfce4ui-1-dev (>= 4.8.0), libwnck-dev (>= 2.22),
+ libxfconf-0-dev (>= 4.8.0), intltool, libdbus-glib-1-dev, libthunarx-2-dev (>= 1.2.0),
+ libexo-1-dev (>= 0.6.0), libgarcon-1-0-dev (>= 0.1.2), libnotify-dev, chrpath,
  hardening-includes
 Standards-Version: 3.9.1
 Homepage: http://www.xfce.org/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
 CFLAGS+=$(HARDENING_CFLAGS)
+
+export CFLAGS LDFLAGS
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx --enable-exo \

## xfdesktop4 4.8.2

=== debian/changelog ===
xfdesktop4 (4.8.2-1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/patches:
      + xubuntu_hide-ugly-resize-grip.patch: disable resize grips for xfdesktop's
        root windows. lp: #709279
      + series: added.

  * Bugs closed by this new upstream release:
    - crash with SIGSEGV in g_closure_invoke() lp: #724816
    - crash with SIGSEGV in g_type_check_instance_is_a() lp: #733822
    - explicit gamin dependency dropped lp: #776503
    - crash on exit with xorg-server 1.10 lp: #711571
    - Cannot create an empty file on the desktop lp: #754595

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 11 Jun 2011 22:39:00 +0200

xfdesktop4 (4.8.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 22 Apr 2011 23:29:15 +0200

xfdesktop4 (4.8.1-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * debian/control:
    - drop gamin recommends.
    - drop Emanuele and Simon from uploaders, thanks to them.
    - update standards version to 3.9.2. 

  [ Lionel Le Folgoc ]
  * debian/control: explicitly build-depends on libxfce4util-dev (>= 4.8.0).
                                                                Closes: #617415

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 17:09:17 +0200

## xfdesktop4 4.8.3

=== debian/changelog ===
xfdesktop4 (4.8.3-2ubuntu7) precise; urgency=low

  * debian/patches:
    - xubuntu_apply-single-click-option-on-startup.patch: dropped and replaced
      with the better and more minimal upstream patch 0093-….patch.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 04 Apr 2012 21:08:05 +0200

xfdesktop4 (4.8.3-2ubuntu6) precise; urgency=low

  * debian/patches:
    - xubuntu_*.patch: update some DEP-3 headers for the patches accepted
      upstream.
    - 00{27,62,79}*.patch: fix missing right click menu when icons are
      disabled. lp: #973499.
    - xubuntu_apply-single-click-option-on-startup.patch: added, correctly
      remember the single click option status. lp: #962944

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 04 Apr 2012 19:54:07 +0200

xfdesktop4 (4.8.3-2ubuntu5) precise; urgency=low

  * debian/patches:
    - 0017-Single-click-option-to-open-items-on-desktop.patch: fix badly
      formatted patch. lp: #945018

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 05 Mar 2012 23:34:13 +0100

xfdesktop4 (4.8.3-2ubuntu4) precise; urgency=low

  * xubuntu_hide-ugly-resize-grip.patch:
    - drop that patch to disable resize grip, that was needed because of 
      Ubuntu had a backport of a gtk3 feature but it has been decided to
      drop that distro specific change before the lts (lp: #944308)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Mar 2012 21:13:58 +0100

xfdesktop4 (4.8.3-2ubuntu3) precise; urgency=low

  * debian/patches:
    - 0003-Thumbnail-desktop-icon-previews-using-tumblerd.patch: fix invalid
      free when tumbler isn't present. lp: #938413
    - xubuntu_fix-menu-icon.patch: use a better icon for the applications
      menu. lp: #937684

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 23 Feb 2012 18:56:13 +0100

xfdesktop4 (4.8.3-2ubuntu2) precise; urgency=low

  * debian/patches:
    - 001*: added, pull more bugfix patches from upstream eric/bugzilla-patches
      git branch.
    - xubuntu_fix-move-multiple-icons.patch, xubuntu_single-click-option.patch:
      dropped, included in the new patches from above.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 19 Feb 2012 23:44:09 +0100

xfdesktop4 (4.8.3-2ubuntu1) precise; urgency=low

  * Resync from Debian (changes were already included in 4.8.3-1ubuntu9),
    remaining Ubuntu changes:
    - debian/control:
      + b-dep on xfce4-dev-tools, autoconf, automake and libtool for
        xdt-autogen and exo-utils for exo-csource
      + recommends tumbler.
    - debian/patches:
      + xubuntu_hide-ugly-resize-grip.patch: disable resize grips for
        xfdesktop's root windows. lp #709279
      + xubuntu_avoid-multiple-instances.patch: added, add a workaround to
        try to prevent several xfdesktop instances from managing the desktop
        at the same time. lp #329616
      + xubuntu_improve-nautilus-interactions.patch: added, should prevent
        nautilus from taking over the desktop if xfdesktop is running.
      + xubuntu_fix-move-multiple-icons.patch: added, let people select and move
        multiple icons on the desktop... lp #595658
      + xubuntu_single-click-option.patch: added, support single click to
        open items on desktop.
      + xubuntu_refreshed-translations.patch: added, new translations taken
        from Thunar as the added strings are also used there.
    - debian/rules, debian/xfdesktop4-data.install: drop old wallpapers, cf.
      <https://blueprints.launchpad.net/ubuntu/+spec/other-p-xubuntu-cleanthemes>.
    - debian/rules:
      + call xdt-autogen, needed by the patches, and cleanup autogenerated files.
      + regenerate and clean autogenerated settings/*ui.h.

  * debian/patches:
    - 000*: added, pull patches from upstream eric/bugzilla-patches git branch.
    - xubuntu_fix-cut-and-paste.patch, xubuntu_use-tumbler.patch: dropped,
      included in the new patches from above.
    - xubuntu_*: rebased to apply cleanly.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 14 Feb 2012 22:04:26 +0100

xfdesktop4 (4.8.3-2) unstable; urgency=low

  * debian/rules:
    - drop obsolete configure option.
    - use debhelper 9 hardening support.
  * debian/compat bumped to 9.
  * debian/control:
    - drop hardening-includes build-dep.
    - update debhelper build-dep to 9 for hardening support.
    - add dpkg-dev 1.16.1 build-dep for hardening support.
  * debian/xfdesktop4.lintian-overrides: dropped, obsolete.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Wed, 08 Feb 2012 07:46:07 +0100

xfdesktop4 (4.8.3-1ubuntu9) precise; urgency=low

  * debian/patches:
    - xubuntu_single-click-option.patch: clean up autogenerated .h file.
    - xubuntu_use-tumbler.patch: refreshed, based on the latest version
      from upstream bug report.
    - xubuntu_refreshed-translations.patch: refreshed, new translations taken
      from Thunar as the added string to show thumbnails is also used there.
  * debian/rules:
    - regenerate and clean autogenerated settings/*ui.h.
    - drop obsolete configure option.
    - use debhelper 9 hardening support.
  * debian/compat bumped to 9.
  * debian/control:
    - b-dep on exo-utils for exo-csource.
    - drop hardening-includes build-dep.
    - update debhelper build-dep to 9 for hardening support.
    - add dpkg-dev 1.16.1 build-dep for hardening support.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 07 Feb 2012 20:49:46 +0100

xfdesktop4 (4.8.3-1ubuntu8) precise; urgency=low

  * debian/rules, debian/xfdesktop4-data.install: keep xfce-stripes.png, it's
    the default wallpaper for vanilla xfdesktop.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 25 Jan 2012 20:24:20 +0100

xfdesktop4 (4.8.3-1ubuntu7) precise; urgency=low

  * debian/patches:
    - xubuntu_use-tumbler.patch: updated, preserve ratio of original images.
    - xubuntu_single-click-option.patch: refreshed, based on the latest
      version from upstream bug report.
    - xubuntu_refreshed-translations.patch: added, new translations taken


=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
- Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev (>= 2.18.0),
- libgtk2.0-dev (>= 2.14.0), libxfce4ui-1-dev (>= 4.8.0), libwnck-dev (>= 2.22),
- libxfconf-0-dev (>= 4.8.0), intltool, libdbus-glib-1-dev, libthunarx-2-dev (>= 1.2.0),
- libexo-1-dev (>= 0.6.0), libgarcon-1-0-dev (>= 0.1.2), libnotify-dev, chrpath,
- hardening-includes
-Standards-Version: 3.9.1
+Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
+ Lionel Le Folgoc <mrpouit@gmail.com>
+Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.18.0),
+ libgtk2.0-dev (>= 2.14.0), libxfce4util-dev (>= 4.8.0), libxfce4ui-1-dev (>= 4.8.0),
+ libwnck-dev (>= 2.22), libxfconf-0-dev (>= 4.8.0), intltool, libdbus-glib-1-dev,
+ libthunarx-2-dev (>= 1.2.0), libexo-1-dev (>= 0.6.0), libgarcon-1-0-dev (>= 0.1.2),
+ libnotify-dev, chrpath, dpkg-dev (>= 1.16.1), xfce4-dev-tools, autoconf, automake,
+ libtool, exo-utils
+Standards-Version: 3.9.2
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfdesktop4/
@@ -28,7 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4-data (= ${source:Version}),
  exo-utils
 Replaces: xfdesktop4-data (<< 4.5.92)
-Recommends: dbus-x11, librsvg2-common, xdg-user-dirs, gamin, xfce4-utils
+Recommends: dbus-x11, librsvg2-common, xdg-user-dirs, xfce4-utils, tumbler
 Suggests: menu
 Description: xfce desktop background, icons and root menu manager
  xfdesktop4 sets the background image, provides a right-click menu to

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

override_dh_auto_configure:
	exo-csource --static --name=`basename xfdesktop-settings-ui.glade .glade | sed -e 's/-/_/g'` \
		 $(CURDIR)/settings/xfdesktop-settings-ui.glade >$(CURDIR)/settings/xfdesktop-settings-ui.h
	NOCONFIGURE=1 xdt-autogen
	find .pc -type f -name '*.c' -exec echo '{}' >> po/POTFILES.skip \;
	dh_auto_configure -- --enable-thunarx --enable-exo \
	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data

override_dh_auto_clean:
	rm -f po/POTFILES.skip
	dh_auto_clean
	rm -f aclocal.m4 config.guess config.sub configure ltmain.sh settings/xfdesktop-settings-ui.h
	rm -f $$(find -name 'Makefile.in*')

override_dh_install:
	chrpath -d -k $(CURDIR)/debian/tmp/usr/bin/*
	
	dh_install --sourcedir=debian/tmp --fail-missing
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man
	# clean up wallpapers, cf. <https://blueprints.launchpad.net/ubuntu/+spec/other-p-xubuntu-cleanthemes>
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce-in-a-grid.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce-in-the-moon.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce-smoke.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce-stellar-tile.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce-turbulence.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce4gradientcurve.png
	rm -f $(CURDIR)/debian/xfdesktop4-data/usr/share/xfce4/backdrops/xfce4logo.png

override_dh_link:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link

override_dh_strip:
	dh_strip --dbg-package=xfdesktop4-dbg

%:
	dh $@

## xfdesktop4 4.10.0

=== debian/changelog ===
xfdesktop4 (4.10.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian experimental, remaining Ubuntu change:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Fri, 18 May 2012 22:18:02 +0200

xfdesktop4 (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * debian/control: revert to unversioned libxfce4util-dev, bump required
    versions for Xfce 4.10.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 05 May 2012 14:15:27 +0200

xfdesktop4 (4.9.3-1) experimental; urgency=low

  * New upstream development release.
  * debian/xfdesktop4-data.install: updated, wallpapers have moved from
    usr/share/xfce4/backdrops to usr/share/backgrounds/xfce.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 16:18:20 +0200

xfdesktop4 (4.9.2-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream development release:
    - add support for single-click opening of items.            closes: #547971
  * debian/control:
    - bumped minimal required versions of build-deps.
    - recommends tumbler for thumbnailing support, drop xfce4-utils, deprecated
      with Xfce 4.10.
  * debian/rules:
    - dropped obsolete --enable-exo configure flag, it's mandatory now.
    - clean up unused overrides.
    - drop --sourcedir=debian/tmp from dh_install, not needed.
  * debian/xfdesktop4.postinst: dropped, was for 4.4 -> 4.6 upgrades only.
  * debian/xfdesktop4-data.install: remove usr/share/doc, docs aren't generated
    anymore and are online by default now.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.
    - update build-deps for 4.9.
  * debian/rules:
    - drop chrpath call.
    - build with --parallel. 

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 08 Apr 2012 22:24:45 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

override_dh_auto_configure:
	dh_auto_configure -- --enable-thunarx \
	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data

override_dh_install:
	dh_install --fail-missing
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man

override_dh_link:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link

override_dh_strip:
	dh_strip --dbg-package=xfdesktop4-dbg

%:
	dh $@ --parallel

## xfdesktop4 4.10.1

=== debian/changelog ===
xfdesktop4 (4.10.1-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_fix-duplicate-volumes.patch: fix duplicate
      volumes appearing randomly on the desktop.
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 04 Mar 2013 15:43:27 -0500

xfdesktop4 (4.10.1-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - enable all hardening options.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 03 Mar 2013 15:35:09 +0100

xfdesktop4 (4.10.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 03 Mar 2013 11:58:50 +0100

xfdesktop4 (4.10.0-2) experimental; urgency=low

  * debian/control:
    - update exo build-dep to 0.7.                              closes: #673730

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 21 May 2012 07:04:47 +0200

xfdesktop4 (4.10.0-1ubuntu3) raring; urgency=low

  * debian/patches:
    - xubuntu_set-accountsservice-user-bg.patch: update the user background
      property of Accountsservice on backdrop change.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 03 Nov 2012 12:57:19 +0100

xfdesktop4 (4.10.0-1ubuntu2) raring; urgency=low

  * debian/patches:
    - xubuntu_fix-duplicate-volumes.patch: fix duplicate volumes appearing
      randomly on the desktop. lp: #1072137

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 29 Oct 2012 12:00:16 +0100

## xfdesktop4 4.10.2

=== debian/changelog ===
xfdesktop4 (4.10.2-3) unstable; urgency=low

  * debian/control:
    - drop recommends on xfce4-utils, it's gone now.            closes: #709263

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 31 May 2013 07:51:08 +0200

xfdesktop4 (4.10.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 May 2013 00:11:01 +0200

xfdesktop4 (4.10.2-1) experimental; urgency=low

  * New upstream bugfix release:
    - Fix hang when no backdrop image is selected.              closes: #702643

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 07 Apr 2013 15:17:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.18.0),
- libgtk2.0-dev (>= 2.14.0), libxfce4util-dev (>= 4.8.0), libxfce4ui-1-dev (>= 4.8.0),
- libwnck-dev (>= 2.22), libxfconf-0-dev (>= 4.8.0), intltool, libdbus-glib-1-dev,
- libthunarx-2-dev (>= 1.2.0), libexo-1-dev (>= 0.6.0), libgarcon-1-0-dev (>= 0.1.2),
- libnotify-dev, chrpath, dpkg-dev (>= 1.16.1), xfce4-dev-tools, autoconf, automake,
- libtool, exo-utils
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, 
+ libxfce4util-dev (>= 4.10.0), libxfce4ui-1-dev (>= 4.10.0), libwnck-dev,
+ libxfconf-0-dev (>= 4.10.0), intltool, libdbus-glib-1-dev (>= 0.84),
+ libthunarx-2-dev (>= 1.4.0), libexo-1-dev (>= 0.7.0), 
+ libgarcon-1-0-dev (>= 0.2.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfdesktop4/
@@ -29,7 +27,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4-data (= ${source:Version}),
  exo-utils
 Replaces: xfdesktop4-data (<< 4.5.92)
-Recommends: dbus-x11, librsvg2-common, xdg-user-dirs, xfce4-utils, tumbler
+Recommends: dbus-x11, librsvg2-common, xdg-user-dirs
 Suggests: menu
 Description: xfce desktop background, icons and root menu manager
  xfdesktop4 sets the background image, provides a right-click menu to

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-thunarx \
+	dh_auto_configure -- --enable-thunarx --enable-exo \
 	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data
 
 override_dh_install:

## xfdesktop4 4.11.6

=== debian/changelog ===
xfdesktop4 (4.11.6-1ubuntu1) trusty; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 09 Apr 2014 15:55:54 +1000

xfdesktop4 (4.11.6-1) experimental; urgency=medium

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 08 Apr 2014 07:49:31 +0200

xfdesktop4 (4.11.5-1ubuntu1) trusty; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 07 Apr 2014 15:39:01 -0400

xfdesktop4 (4.11.5-1) experimental; urgency=medium

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 01 Apr 2014 23:20:47 +0200

xfdesktop4 (4.11.5-0ubuntu1) trusty; urgency=medium

  * New upstream release. LP: #1294209
  * Drop patches taken from git, fixed upstream.

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 02 Apr 2014 06:58:37 +1100

xfdesktop4 (4.11.4-1ubuntu2) trusty; urgency=medium

  * Add patches from upstream git:
    - git-desktop-icons-have-background.patch. LP: #1270261
      Makes desktop icons not have their own background
    - git-missing-images-in-settings-app.patch. LP: #1282227
      Fixes some images not appearing in xfdesktop settings 
    - git-fix-default-icon-size.patch. LP: #1272057
      Explicitly define the desktop icon size 
  * Refresh xubuntu_set-accountsservice-user-bg.patch to fix
    a memory leak. LP: #1295614

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 28 Mar 2014 07:16:04 +1100

xfdesktop4 (4.11.4-1ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 19 Mar 2014 16:33:54 +1100

xfdesktop4 (4.11.4-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream bugfix release
  * Drop git-fix-segfault-on-session-start.patch, fixed upstream

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 18 Mar 2014 22:01:11 +0100

xfdesktop4 (4.11.3-2ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 01 Mar 2014 16:02:38 +1100

xfdesktop4 (4.11.3-2) experimental; urgency=medium

  [ Jackson Doak ]
  * Add git-fix-segfault-on-session-start.patch. LP: #1282509

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 28 Feb 2014 21:52:55 +0100

xfdesktop4 (4.11.3-1ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 20 Feb 2014 15:59:49 +1100

xfdesktop4 (4.11.3-1) experimental; urgency=medium

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 19 Feb 2014 20:34:01 +0100

xfdesktop4 (4.11.2-1ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.
  * Improve existing xubuntu patches

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 22 Jan 2014 11:02:26 +1100

xfdesktop4 (4.11.2-0ubuntu1) trusty; urgency=medium

  * Merged from debian unreleased SVN. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.
  * Drop debian/patches/xubuntu_fix-duplicate-volumes.patch, no longer needed

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 14 Jan 2014 11:47:53 +1100

xfdesktop4 (4.11.2-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control: 
    - Bump standards-version to 3.9.5
    - Recommend tumbler for thumbnailing support
  * debian/rules: Use --disable-silent-rules
  * debian/copyright: Use debian format 1.0
  * Update debian/xfdesktop-settings.1

  [ Lionel Le Folgoc ]
  * New upstream development release.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - drop configure option --enable-exo, now useless.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 16 Jan 2014 22:55:26 +0100



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, 
@@ -9,10 +10,10 @@
  libxfconf-0-dev (>= 4.10.0), intltool, libdbus-glib-1-dev (>= 0.84),
  libthunarx-2-dev (>= 1.4.0), libexo-1-dev (>= 0.7.0), 
  libgarcon-1-0-dev (>= 0.2.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.xfce.org/
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfdesktop4/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfdesktop4/
 
 Package: xfdesktop4-data
 Section: xfce
@@ -27,7 +28,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4-data (= ${source:Version}),
  exo-utils
 Replaces: xfdesktop4-data (<< 4.5.92)
-Recommends: dbus-x11, librsvg2-common, xdg-user-dirs
+Recommends: dbus-x11, librsvg2-common, xdg-user-dirs, tumbler
 Suggests: menu
 Description: xfce desktop background, icons and root menu manager
  xfdesktop4 sets the background image, provides a right-click menu to

## xfdesktop4 4.11.8

=== debian/changelog ===
xfdesktop4 (4.11.8-0ubuntu0.1) trusty; urgency=medium

  * New upstream development and bugfix release (LP: #1365965)
  * debian/patches/xubuntu_set-accountsservice-user-bg.patch: update
    patch to only update on first workspace filename change

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 27 Sep 2014 16:53:04 -0400

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-thunarx --enable-exo \
-	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data
+	dh_auto_configure -- --enable-thunarx \
+	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data \
+		--disable-silent-rules
 
 override_dh_install:
 	dh_install --fail-missing

## xfdesktop4 4.12.0

=== debian/changelog ===
xfdesktop4 (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 01 Mar 2015 12:39:58 +1100

xfdesktop4 (4.11.8-0ubuntu1) utopic; urgency=medium

  * New upstream development release
  * Bugs fixed:
    - Infobar in desktop settings for <2 desktops (LP: #1365382)
    - Background color resets when starting settings (LP: #1313728)
    - Wallpaper spans multiple screens on reload (LP #1312577)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 15 Sep 2014 06:24:44 -0400

xfdesktop4 (4.11.7-0ubuntu1) utopic; urgency=medium

  * New upstream development release
  * debian/patches/xubuntu_set-accountsservice-user-bg.patch: update
    patch to only update on first workspace filename change (LP: #1318307)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 11 Aug 2014 22:25:48 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, 
- libxfce4util-dev (>= 4.10.0), libxfce4ui-1-dev (>= 4.10.0), libwnck-dev,
+ libxfce4util-dev (>= 4.10.0), libxfce4ui-1-dev (>= 4.11.1), libwnck-dev,
  libxfconf-0-dev (>= 4.10.0), intltool, libdbus-glib-1-dev (>= 0.84),
  libthunarx-2-dev (>= 1.4.0), libexo-1-dev (>= 0.7.0), 
  libgarcon-1-0-dev (>= 0.2.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)

## xfdesktop4 4.12.1

=== debian/changelog ===
xfdesktop4 (4.12.1-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 13 May 2015 19:47:09 -0400

xfdesktop4 (4.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 17:30:17 +0200

xfdesktop4 (4.12.1-1) experimental; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Mar 2015 15:27:01 +0100

xfdesktop4 (4.12.0-1ubuntu1) vivid; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 15 Mar 2015 22:08:51 -0400

xfdesktop4 (4.12.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release
  * Bump standards version to 3.9.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 21:14:01 +0100

xfdesktop4 (4.12.0-0ubuntu2) vivid; urgency=medium

  * No change rebuild for libxfce4util7

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 02 Mar 2015 19:55:34 -0500

xfdesktop4 (4.11.8-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Don't show infobar when there's only 1 workspace. LP: #1365382

  [ Yves-Alexis Perez ]
  * debian/control:
    - update libxfce4ui build-dep to 4.11.1.
    - fix spelling error in xfdesktop4-dbg synopsis.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 15 Sep 2014 19:04:46 +0200

xfdesktop4 (4.10.3-1) UNRELEASED; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control: 
    - Bump standards-version to 3.9.4
    - Recommend tumbler for thumbnailing support

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards-version to 3.9.6.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 19 Aug 2013 07:29:17 +1000

## xfdesktop4 4.12.2

=== debian/changelog ===
xfdesktop4 (4.12.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15:
    - debian/rules: drop explicit xz deb compression, default in dpkg 0.17

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 31 May 2015 11:58:19 -0700

xfdesktop4 (4.12.2-1mx140+1) mx; urgency=low

  * New release, rebuild for MX 14.
  * debian/rules: compress deb  with xz.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 21 May 2015 14:01:04 -0700

xfdesktop4 (4.12.2-1) unstable; urgency=medium

  * debian/xfdesktop4.postinst dropped, 4.4.2 migration is long gone.
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 17 May 2015 14:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, 
- libxfce4util-dev (>= 4.10.0), libxfce4ui-1-dev (>= 4.11.1), libwnck-dev,
- libxfconf-0-dev (>= 4.10.0), intltool, libdbus-glib-1-dev (>= 0.84),
+ libxfce4util-dev (>= 4.12.1), libxfce4ui-1-dev (>= 4.12.1), libwnck-dev,
+ libxfconf-0-dev (>= 4.12.0), intltool, libdbus-glib-1-dev (>= 0.84),
  libthunarx-2-dev (>= 1.4.0), libexo-1-dev (>= 0.7.0), 
- libgarcon-1-0-dev (>= 0.2.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.5
+ libgarcon-1-0-dev (>= 0.4.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.6
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfdesktop4/
@@ -42,6 +43,6 @@
 Architecture: any
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4 (= ${binary:Version})
-Description: debugging informations for xfdesktop4
+Description: debugging information for xfdesktop4
  This package contains debugging symbols for xfdesktop4, the desktop manager
  for Xfce 4 Desktop Environment.
